import {Component, OnInit} from '@angular/core';
import {NavController} from '@ionic/angular';
import {DefaultAuthService} from '../../default-auth.service';

@Component({
  selector: 'end-session',
  templateUrl: './end-session-page.component.html',
  styleUrls: ['./end-session-page.component.scss'],
})
export class EndSessionPageComponent implements OnInit {
  constructor(
    private auth: DefaultAuthService,
    private navCtrl: NavController,
  ) {}

  async ngOnInit() {
    this.auth.endSessionCallback();
    await this.navCtrl.navigateRoot('profile');
  }
}
